 /**
 *                                                                             *
 * @file DeleteConnection_ui.h                                                 *
 * Project name: HeKatE hqed                                                   *
 * $Id: DeleteConnection_ui.h,v 1.12 2008-03-03 22:04:32 kinio Exp $            *
 * Author: Krzysztof Kaczor                                                    *
 * Date: 28.04.2007                                                            *
 *                                                                             *
 * Implementation by Krzysztof Kaczor <kinio4444@gmail.com>                    *
 *                                                                             *
 * Copyright (C) 2006-9 by the HeKatE Project                                  *
 *                                                                             *
 * HQEd has been develped within the HeKatE Project,                           *
 * see http://hekate.ia.agh.edu.pl                                             *
 *                                                                             *
 * This file is part of HQEd.                                                  *
 *                                                                             *
 * HQEd is free software: you can redistribute it and/or modify                *
 * it under the terms of the GNU General Public License as published by        *
 * the Free Software Foundation, either version 3 of the License, or           *
 * (at your option) any later version.                                         *
 *                                                                             *
 * HQEd is distributed in the hope that it will be useful,                     *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of              *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               *
 * GNU General Public License for more details.                                *
 *                                                                             *
 * You should have received a copy of the GNU General Public License           *
 * along with HQEd.  If not, see <http://www.gnu.org/licenses/>.               *
 *                                                                             *
 * Comment: Plik zawierajacy definicje klasy oblugujacej okno usuwania         *
 * polaczenia                                                                  *
 *                                                                             *
 */


#ifndef DELETECONNECTIONH
#define DELETECONNECTIONH
// -----------------------------------------------------------------------------
 
#include "../../ui_DeleteConnection.h"
// -----------------------------------------------------------------------------

class DeleteConnection_ui : public QWidget, private Ui_DeleteConnection
{
    Q_OBJECT

public:

     /// Konstruktory klasy
     DeleteConnection_ui(QWidget *parent = 0);
     DeleteConnection_ui(int, int, QWidget *parent = 0);

     /// Okresla index edytowanego polaczenia
     int fIndex;

     /// Wczytuje tytuly tabel
     void ReadTables(void);

     /// Wywolywana w momencie nacisniecia przycisku naklawiaturze
     void keyPressEvent(QKeyEvent*);

public slots:

     /// slot, wejscie na zdarzenie klikniecia na przycisk OK
     void ClickDelete(void);

     /// Wywolywane w momencie zmiany indexu wartosci odpowiednich pol list
     void ComboBoxChange(int);
     void ComboBoxChange_2(int);
};
// -----------------------------------------------------------------------------

extern DeleteConnection_ui* DelConn;
// -----------------------------------------------------------------------------

#endif
