 /**
 *                                                                             *
 * @file UnusedAttributes_ui.h                                                 *
 * Project name: HeKatE hqed                                                   *
 * $Id: UnusedAttributes_ui.h,v 1.12 2008-03-03 22:04:33 kinio Exp $            *
 * Author: Krzysztof Kaczor                                                    *
 * Date: 28.04.2007                                                            *
 *                                                                             *
 * Implementation by Krzysztof Kaczor <kinio4444@gmail.com>                    *
 *                                                                             *
 * Copyright (C) 2006-9 by the HeKatE Project                                  *
 *                                                                             *
 * HQEd has been develped within the HeKatE Project,                           *
 * see http://hekate.ia.agh.edu.pl                                             *
 *                                                                             *
 * This file is part of HQEd.                                                  *
 *                                                                             *
 * HQEd is free software: you can redistribute it and/or modify                *
 * it under the terms of the GNU General Public License as published by        *
 * the Free Software Foundation, either version 3 of the License, or           *
 * (at your option) any later version.                                         *
 *                                                                             *
 * HQEd is distributed in the hope that it will be useful,                     *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of              *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               *
 * GNU General Public License for more details.                                *
 *                                                                             *
 * You should have received a copy of the GNU General Public License           *
 * along with HQEd.  If not, see <http://www.gnu.org/licenses/>.               *
 *                                                                             *
 * Comment: Plik zawierajacy definicje klasy oblugujacej okno listy            *
 * nieuzywanych atrybutow                                                      *
 *                                                                             *
 */


#ifndef UNUSEDATTRIBUTES_H
#define UNUSEDATTRIBUTES_H
// -----------------------------------------------------------------------------
 
#include "../../ui_UnusedAtrtribute.h"
// -----------------------------------------------------------------------------

class UnusedAtrtribute_ui : public QWidget, private Ui_UnusedAttribute
{
    Q_OBJECT

public:

     /// Konstruktory klasy
     UnusedAtrtribute_ui(QWidget *parent = 0);

     /// Wywolywana w momencie nacisniecia przycisku naklawiaturze
     void keyPressEvent(QKeyEvent*);

public slots:

     /// Ustawia okinko
     void FindUnusedAtrributes(void);
};
// -----------------------------------------------------------------------------

extern UnusedAtrtribute_ui* UnusedAttr;
// -----------------------------------------------------------------------------

#endif
